Bug 462409 - mbp_nvidia_bl module (for controlling brightness) is not automatically loaded on MacBook Pro 4,1
mbp_nvidia_bl module (for controlling brightness) is not automatically loaded...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthew Garrett
Fedora Extras Quality Assurance
: Reopened
: 469803 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 20:18 EDT by Stewart Adam
Modified: 2013-04-23 13:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 13:26:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lcpci (11.45 KB, text/plain)
2010-11-12 12:18 EST, Marius Andreiana
no flags Details

  None (edit)
Description Stewart Adam 2008-09-15 20:18:12 EDT
Description of problem:
The new mbp_nvidia_bl module used to control the brightness of the screen on MacBook Pro 4,1 is not automatically loaded, even if the appropriate hardware is present.

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.323.rc6.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install kernel-2.6.27-0.323.rc6.fc10.x86_64
2. Reboot
3. Press brightness keys
4. Kill gnome-power-manager and modprobe mbp_nvidia_bl
5. Restart gnome-power-manager and press brightness keys
  
Actual results:
Module must be loaded manually, requiring a restart of gnome-power-manager

Expected results:
The module is autoloaded when the appropriate hardware is present

Additional info:
/sbin/lspci:
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600M GT (rev a1)
0b:00.0 Network controller: Broadcom Corporation BCM4328 802.11a/b/g/n (rev 05)
0c:00.0 Ethernet controller: Marvell Technology Group Ltd. Marvell Yukon 88E8058 PCI-E Gigabit Ethernet Controller (rev 13)
0d:03.0 FireWire (IEEE 1394): Texas Instruments TSB82AA2 IEEE-1394b Link Layer Controller (rev 02)
Comment 1 Chuck Ebbert 2008-10-17 23:29:18 EDT
From the comment in the 2.6.28 changeset I take it the module aliases in this driver are wrong somehow. But 2.6.28 is using new build infrastructure that generates the aliases automatically.
Comment 2 Matthew Garrett 2008-11-03 07:51:44 EST
Backported to rawhide
Comment 3 Matthew Garrett 2008-11-11 12:38:26 EST
*** Bug 469803 has been marked as a duplicate of this bug. ***
Comment 4 Matthew Garrett 2008-11-11 12:42:45 EST
This should be fixed in rawhide - can you check a current kernel?
Comment 5 Stewart Adam 2008-11-12 12:04:03 EST
Yup, works perfectly.

I can report another bug if you'd like, but there's the same problem for bcm5974 (kmod for the multi-touch enabled trackpad)
Comment 6 Matthew Garrett 2008-11-12 12:12:30 EST
Yes, that should be separate. Thanks, closing this one.
Comment 7 Marius Andreiana 2010-11-12 12:18:38 EST
Created attachment 460107 [details]
lcpci

On F14 and MBP 6.2, I get

# modprobe mbp_nvidia_bl
FATAL: Error inserting mbp_nvidia_bl (/lib/modules/2.6.35.6-48.fc14.x86_64/kernel/drivers/video/backlight/mbp_nvidia_bl.ko): No such device

Found a similar report here http://forums.fedoraforum.org/showthread.php?t=252659

Should I open a new bug?
Comment 8 rr.debruin 2010-12-01 17:39:32 EST
On F 14 and MBP 7.1 i also get

# modprobe mbp_nvidia_bl
FATAL: Error inserting mbp_nvidia_bl (/lib/modules/2.6.35.6-48.fc14.x86_64/kernel/drivers/video/backlight/mbp_nvidia_bl.ko): No such device

So reopen the bug
Comment 9 Fedora End Of Life 2013-04-03 15:55:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Justin M. Forbes 2013-04-05 11:53:11 EDT
Is this still a problem with 3.9 based F19 kernels?
Comment 11 Justin M. Forbes 2013-04-23 13:26:09 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.